Update Workflow Task Due Date
Update the due date of an assigned workflow task. This endpoint supports single and multi-item workflows.
If the workflow is configured to set all task due dates to the workflow due date, updates to individual task due dates will not affect the overall workflow due date. You cannot update task due dates that are configured to sync with an object or document field.
POST
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/updateduedateHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The id of the task. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
task_due_date__vrequired | The new due date for the task, in the format YYYY-MM-DD. The new task due date cannot be the same as the current task due date. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d 'task_due_date__v=2025-03-12'
https://myvault.veevavault.com/api/v26.1/objects/objectworkflows/tasks/7102/actions/updateduedateResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsReturns SUCCESS if the due date was successfully updated. Vault notifies the task owner of the new due date.